[arch-commits] Commit in distrho-ports/trunk (PKGBUILD)

David Runge dvzrv at archlinux.org
Mon Mar 15 22:16:37 UTC 2021


    Date: Monday, March 15, 2021 @ 22:16:37
  Author: dvzrv
Revision: 891683

upgpkg: distrho-ports 2021.03.15-1: Upgrade to 2021.03.15.

Add fftw to depends (it's dlopen'd).
Update the list of non-legacy plugins to test.
Add xvfb-run for running lv2lint against the non-legacy plugins.

Modified:
  distrho-ports/trunk/PKGBUILD

----------+
 PKGBUILD |   16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2021-03-15 21:55:57 UTC (rev 891682)
+++ PKGBUILD	2021-03-15 22:16:37 UTC (rev 891683)
@@ -1,7 +1,7 @@
 # Maintainer: David Runge <dvzrv at archlinux.org>
 
 pkgname=distrho-ports
-pkgver=2021.01.15
+pkgver=2021.03.15
 pkgrel=1
 pkgdesc="Linux audio plugins and LV2 ports"
 arch=('x86_64')
@@ -8,9 +8,10 @@
 url="https://github.com/distrho/distrho-ports"
 license=('GPL2' 'LGPL3')
 groups=('lv2-plugins' 'pro-audio' 'vst-plugins' 'vst3-plugins')
-depends=('gcc-libs' 'glibc' 'libglvnd' 'libx11' 'libxext')
+# NOTE: fftw is dlopen'd
+depends=('fftw' 'gcc-libs' 'glibc' 'libglvnd' 'libx11' 'libxext')
 makedepends=('alsa-lib' 'freetype2' 'git' 'libxcursor' 'lv2' 'meson')
-checkdepends=('kxstudio-lv2-extensions' 'lv2lint')
+checkdepends=('kxstudio-lv2-extensions' 'lv2lint' 'xorg-server-xvfb')
 optdepends=('lv2-host: for LV2 plugins'
             'vst-host: for VST plugins'
             'vst3-host: for VST3 plugins')
@@ -36,9 +37,10 @@
 
 check() {
   local _legacy_plugin _legacy_plugins _legacy_urls _plugins _urls _plugin
-  _plugins=('CHOW')
+  _plugins=('SwankyAmp' 'vitalium')
   declare -A _urls=(
-    ["CHOW"]="https://github.com/jatinchowdhury18/CHOW"
+    ["SwankyAmp"]="urn:distrho:SwankyAmp"
+    ["vitalium"]="urn:distrho:vitalium"
   )
   _legacy_plugins=('Dexed' 'EasySSP' 'HiReSam' 'JuceOPL' 'KlangFalter'
   'LUFSMeter' 'LUFSMeterMulti' 'Luftikus' 'Obxd' 'PitchedDelay' 'ReFine'
@@ -96,7 +98,7 @@
     if [ -n "${_urls[${_plugin}]}" ]; then
       # ignore lv2_generate_ttl symbol as it can not be removed easily:
       # https://github.com/DISTRHO/DISTRHO-Ports/issues/58
-      lv2lint -Mpack -s lv2_generate_ttl -I "build/ports/${_plugin}.lv2/" "${_urls[${_plugin}]}"
+      xvfb-run lv2lint -Mpack -s lv2_generate_ttl -I "build/ports/${_plugin}.lv2/" "${_urls[${_plugin}]}" || echo "xvfb-run is too dumb to kill itself"
     fi
   done
   ninja -C build test
@@ -103,7 +105,7 @@
 }
 
 package() {
-  depends+=('libasound.so' 'libfreetype.so')
+  depends+=('libasound.so' 'libfftw3f.so' 'libfreetype.so')
   cd "$pkgname"
   DESTDIR="${pkgdir}" meson install -C build
   install -vDm 644 README.md -t "${pkgdir}/usr/share/doc/${pkgname}"



More information about the arch-commits mailing list